Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.10
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.util
[Java] Class XmlNodePrinter

    java.lang.Object
      groovy.util.XmlNodePrinter

    public class XmlNodePrinter
    extends Object

Prints a `groovy.util.Node` (as used with `XmlParser`) including all children in XML format. Typical usage:

     def xml = '<html><head><title>Title</title></head><body><h1>Header</h1></body></html>'
     def root = new XmlParser().parseText(xml)
     new XmlNodePrinter(preserveWhitespace:true).print(root.body[0])

which when run produces this on stdout (or use your own `PrintWriter` to direct elsewhere):

     <body>
       <h1>Header</h1>
     </body>

Authors:
  Christian Stein

See Also:
  NodePrinter
  XmlUtil.serialize

Nested Class Summary
`protected class` | `XmlNodePrinter.NamespaceContext`

Field Summary
`protected IndentPrinter` | `out`

Constructor Summary
`XmlNodePrinter(PrintWriter out)`
`XmlNodePrinter(PrintWriter out, String indent)`
`XmlNodePrinter(PrintWriter out, String indent, String quote)`
`XmlNodePrinter(IndentPrinter out)`
`XmlNodePrinter(IndentPrinter out, String quote)`
`XmlNodePrinter()`

Method Summary
`String` | `getQuote()` Get Quote to use when printing attributes.
`boolean` | `isNamespaceAware()` Check if namespace handling is enabled.
`boolean` | `isPreserveWhitespace()` Check if whitespace preservation is enabled.
`void` | `print(Node node)`
`protected void` | `print(Node node, XmlNodePrinter.NamespaceContext ctx)`
`protected void` | `printLineBegin()`
`protected void` | `printLineEnd()`
`protected void` | `printLineEnd(String comment)`
`protected void` | `printList(List list, XmlNodePrinter.NamespaceContext ctx)`
`protected void` | `printName(Node node, XmlNodePrinter.NamespaceContext ctx, boolean begin, boolean preserve)`
`protected void` | `printNameAttributes(Map attributes, XmlNodePrinter.NamespaceContext ctx)`
`protected void` | `printNamespace(Object object, XmlNodePrinter.NamespaceContext ctx)`
`protected void` | `printSimpleItem(Object value)`
`protected boolean` | `printSpecialNode(Node node)`
`void` | `setNamespaceAware(boolean namespaceAware)` Enable and/or disable namespace handling.
`void` | `setPreserveWhitespace(boolean preserveWhitespace)` Enable and/or disable preservation of whitespace.
`void` | `setQuote(String quote)` Set Quote to use when printing attributes.

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### out

    protected final IndentPrinter out

Constructor Detail

### XmlNodePrinter

    public XmlNodePrinter(PrintWriter out)

### XmlNodePrinter

    public XmlNodePrinter(PrintWriter out, String indent)

### XmlNodePrinter

    public XmlNodePrinter(PrintWriter out, String indent, String quote)

### XmlNodePrinter

    public XmlNodePrinter(IndentPrinter out)

### XmlNodePrinter

    public XmlNodePrinter(IndentPrinter out, String quote)

### XmlNodePrinter

    public XmlNodePrinter()

Method Detail

### getQuote

    public String getQuote()

  Get Quote to use when printing attributes.
  Returns:
    the quote character

### isNamespaceAware

    public boolean isNamespaceAware()

  Check if namespace handling is enabled. Defaults to `true`.
  Returns:
    true if namespace handling is enabled

### isPreserveWhitespace

    public boolean isPreserveWhitespace()

  Check if whitespace preservation is enabled. Defaults to `false`.
  Returns:
    true if whitespaces are honoured when printing simple text nodes

### print

    public void print(Node node)

### print

    protected void print(Node node, XmlNodePrinter.NamespaceContext ctx)

### printLineBegin

    protected void printLineBegin()

### printLineEnd

    protected void printLineEnd()

### printLineEnd

    protected void printLineEnd(String comment)

### printList

    protected void printList(List list, XmlNodePrinter.NamespaceContext ctx)

### printName

    protected void printName(Node node, XmlNodePrinter.NamespaceContext ctx, boolean begin, boolean preserve)

### printNameAttributes

    protected void printNameAttributes(Map attributes, XmlNodePrinter.NamespaceContext ctx)

### printNamespace

    protected void printNamespace(Object object, XmlNodePrinter.NamespaceContext ctx)

### printSimpleItem

    protected void printSimpleItem(Object value)

### printSpecialNode

    protected boolean printSpecialNode(Node node)

### setNamespaceAware

    public void setNamespaceAware(boolean namespaceAware)

  Enable and/or disable namespace handling.
  Parameters:
    `namespaceAware` - the new desired value

### setPreserveWhitespace

    public void setPreserveWhitespace(boolean preserveWhitespace)

  Enable and/or disable preservation of whitespace.
  Parameters:
    `preserveWhitespace` - the new desired value

### setQuote

    public void setQuote(String quote)

  Set Quote to use when printing attributes.
  Parameters:
    `quote` - the quote character

Copyright © 2003-2010 The Codehaus. All rights reserved.